Subject: I want to come to you from Russia, you do not mind?

From: Tanya <[email-masked]>
Date: Wed, 27 Jan 2010 04:02:23 -0800 (PST)

Hi - I'm the girl in a pink jacket with the inscription Russia, remember me?
Click here